# PSF-LoginServer - master - net.psforever.objects.geometry.d3.Line
PSF - LoginServer - master - net.psforever.objects.geometry.d3.Line
Keywords: PSF LoginServer master net.psforever.objects.geometry.d3.Line

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package geometry
  Definition Classes
    objects
-  package d3
  Definition Classes
    geometry
- Cuboid
- Cylinder
- Geometry3D
- Line
- Point
- Ray
- Segment
- Sphere
- VolumetricGeometry

o

net.psforever.objects.geometry.d3

# Line 

###
Companion class Line

#### object Line extends Serializable

Source
  Line.scala

Linear Supertypes
Serializable, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Line
2. Serializable
3. AnyRef
4. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def apply(p1: Point, p2: Point): Line

   An overloaded constructor that uses a pair of points and uses their difference to produce a unit vector to define a direction.

   An overloaded constructor that uses a pair of points and uses their difference to produce a unit vector to define a direction.

   p1

     the coordinates of the position

   p2

     the coordinates of a destination position

   returns

     a `Line` entity

5.  def apply(ax: Float, ay: Float, az: Float, bx: Float, by: Float, bz: Float): Line

   An overloaded constructor that uses a pair of individual coordinates and uses their difference to produce a unit vector to define a direction.

   An overloaded constructor that uses a pair of individual coordinates and uses their difference to produce a unit vector to define a direction.

   ax

     the 'x' coordinate of the position

   ay

     the 'y' coordinate of the position

   az

     the 'z' coordinate of the position

   bx

     the 'x' coordinate of a destination position

   by

     the 'y' coordinate of a destination position

   bz

     the 'z' coordinate of a destination position

   returns

     a `Line` entity

6.  def apply(x: Float, y: Float, z: Float, d: Vector3): Line

   An overloaded constructor that uses individual coordinates.

   An overloaded constructor that uses individual coordinates.

   x

     the 'x' coordinate of the position

   y

     the 'y' coordinate of the position

   z

     the 'z' coordinate of the position

   d

     the direction

   returns

     a `Line` entity

7.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
8.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
9.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
10.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
11.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
12.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
13.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
14.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
15.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
16.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
17.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  def toString(): String
    Definition Classes
      AnyRef → Any
20.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
22.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from AnyRef

### Inherited from Any

### Ungrouped